summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Andrea Maccis <andrea.maccis@gmail.com>2010-05-11 22:54:51 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:54:51 +0200
commitffcbb25148e2c16404a97f761b34e6d7d622c5eb (patch)
tree74bc32fbf4288d803f8bfabbb9edb5f601ef9a8c /network
parent796aabd6565e49170f515ddaa36dc0f1b38b6be8 (diff)
downloadslackbuilds-ffcbb25148e2c16404a97f761b34e6d7d622c5eb.tar.gz
slackbuilds-ffcbb25148e2c16404a97f761b34e6d7d622c5eb.tar.xz
network/kmess: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/kmess/README8
-rw-r--r--network/kmess/kmess.SlackBuild85
-rw-r--r--network/kmess/kmess.info8
-rw-r--r--network/kmess/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/network/kmess/README b/network/kmess/README
new file mode 100644
index 0000000000..734e7b9f72
--- /dev/null
+++ b/network/kmess/README
@@ -0,0 +1,8 @@
+KMess, MSN Messenger for GNU/Linux
+
+KMess is a MSN Messenger chat client for GNU/Linux.
+It is Qt based and integrated with the KDE Desktop Environment.
+KMess has many features, like winks and offline-im messages
+receiving, fast file transfers, Live Mail e-mail notifications.
+
+Homepage: http://www.kmess.org \ No newline at end of file
diff --git a/network/kmess/kmess.SlackBuild b/network/kmess/kmess.SlackBuild
new file mode 100644
index 0000000000..2c950314a5
--- /dev/null
+++ b/network/kmess/kmess.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for KMess
+
+# Copyright 2008 Andrea Maccis (andrea.maccis@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=kmess
+VERSION=${VERSION:-1.5.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog FEATURES INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/kmess/kmess.info b/network/kmess/kmess.info
new file mode 100644
index 0000000000..e9236a04b4
--- /dev/null
+++ b/network/kmess/kmess.info
@@ -0,0 +1,8 @@
+PRGNAM="kmess"
+VERSION="1.5.1"
+HOMEPAGE="http://www.kmess.org"
+DOWNLOAD="http://downloads.sourceforge.net/kmess/kmess-1.5.1.tar.gz"
+MD5SUM="a2971c7e12da80f5df5ba5db4f7873d8"
+MAINTAINER="Andrea Maccis"
+EMAIL="andrea.maccis@gmail.com"
+APPROVED="Michiel"
diff --git a/network/kmess/slack-desc b/network/kmess/slack-desc
new file mode 100644
index 0000000000..c8bd2d595b
--- /dev/null
+++ b/network/kmess/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+kmess: KMess, MSN Messenger for GNU/Linux
+kmess:
+kmess: KMess is a MSN Messenger chat client for GNU/Linux.
+kmess: It is Qt based and integrated with the KDE Desktop Environment.
+kmess: KMess has many features, like winks and offline-im messages
+kmess: receiving, fast file transfers, Live Mail e-mail notifications.
+kmess:
+kmess: Homepage: http://www.kmess.org
+kmess:
+kmess:
+kmess: \ No newline at end of file